Request
cURL Java JavaScript Python
Copy curl -X GET "https://api.dev.cslpay.io/collection-middleware/statement/intraday?accountNumber=XT123456789&startTime=2025-05-16T00%3A00%3A00Z&endTime=2025-05-16T01%3A00%3A00Z" \
-H "Authorization: Bearer <access-token>"Copy OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://api.dev.cslpay.io/collection-middleware/statement/intraday?accountNumber=XT123456789&startTime=2025-05-16T00%3A00%3A00Z&endTime=2025-05-16T01%3A00%3A00Z")
.get()
.addHeader("Authorization", "Bearer <access-token>")
.build();
try (Response response = client.newCall(request).execute()) {
if (!response.isSuccessful()) {
throw new IOException("Unexpected status " + response.code());
}
System.out.println(response.body().string());
}Copy const response = await fetch("https://api.dev.cslpay.io/collection-middleware/statement/intraday?accountNumber=XT123456789&startTime=2025-05-16T00%3A00%3A00Z&endTime=2025-05-16T01%3A00%3A00Z", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>"
}
});
const data = await response.json();
console.log(data);Copy import requests
response = requests.get(
"https://api.dev.cslpay.io/collection-middleware/statement/intraday?accountNumber=XT123456789&startTime=2025-05-16T00%3A00%3A00Z&endTime=2025-05-16T01%3A00%3A00Z",
headers={
"Authorization": "Bearer <access-token>"
},
)
response.raise_for_status()
print(response.json())
200 Statement retrieved
Copy {
"success" : true ,
"data" : {
"accountNumber" : "string" ,
"businessDate" : "2026-01-15" ,
"currency" : "string" ,
"openingBalanceDate" : "2026-01-15T09:30:00Z" ,
"closingBalanceDate" : "2026-01-15T09:30:00Z" ,
"openingBalanceAmount" : 0 ,
"closingBalanceAmount" : 0 ,
"details" : [
{
"systemReference" : "string" ,
"originalSystemReference" : "string" ,
"direction" : "DEBIT" ,
"transactionType" : "string" ,
"amount" : 0 ,
"currency" : "string" ,
"completedTime" : "2026-01-15T09:30:00Z" ,
"beneficiaryAccountNumber" : "string" ,
"beneficiaryName" : "string" ,
"beneficiaryBankName" : "string" ,
"beneficiaryBankSwiftCode" : "string" ,
"payerName" : "string" ,
"payerAccountNumber" : "string" ,
"payerBankName" : "string" ,
"payerBankSwiftCode" : "string" ,
"payerAddress" : "string" ,
"remark" : "string" ,
"valueDate" : "2026-01-15"
}
],
"currentPage" : 0 ,
"totalPages" : 0 ,
"totalRecords" : 0 ,
"hasMore" : true ,
"netMovementAmount" : 0 ,
"balanceReconciled" : true
},
"error" : {
"code" : "string" ,
"message" : "string"
}
}
400 Malformed or out-of-bounds query parameters
Copy {
"success" : true ,
"data" : {
"accountNumber" : "string" ,
"businessDate" : "2026-01-15" ,
"currency" : "string" ,
"openingBalanceDate" : "2026-01-15T09:30:00Z" ,
"closingBalanceDate" : "2026-01-15T09:30:00Z" ,
"openingBalanceAmount" : 0 ,
"closingBalanceAmount" : 0 ,
"details" : [
{
"systemReference" : "string" ,
"originalSystemReference" : "string" ,
"direction" : "DEBIT" ,
"transactionType" : "string" ,
"amount" : 0 ,
"currency" : "string" ,
"completedTime" : "2026-01-15T09:30:00Z" ,
"beneficiaryAccountNumber" : "string" ,
"beneficiaryName" : "string" ,
"beneficiaryBankName" : "string" ,
"beneficiaryBankSwiftCode" : "string" ,
"payerName" : "string" ,
"payerAccountNumber" : "string" ,
"payerBankName" : "string" ,
"payerBankSwiftCode" : "string" ,
"payerAddress" : "string" ,
"remark" : "string" ,
"valueDate" : "2026-01-15"
}
],
"currentPage" : 0 ,
"totalPages" : 0 ,
"totalRecords" : 0 ,
"hasMore" : true ,
"netMovementAmount" : 0 ,
"balanceReconciled" : true
},
"error" : {
"code" : "string" ,
"message" : "string"
}
}
403 Token is not bound to a merchant
Copy {
"success" : true ,
"data" : {
"accountNumber" : "string" ,
"businessDate" : "2026-01-15" ,
"currency" : "string" ,
"openingBalanceDate" : "2026-01-15T09:30:00Z" ,
"closingBalanceDate" : "2026-01-15T09:30:00Z" ,
"openingBalanceAmount" : 0 ,
"closingBalanceAmount" : 0 ,
"details" : [
{
"systemReference" : "string" ,
"originalSystemReference" : "string" ,
"direction" : "DEBIT" ,
"transactionType" : "string" ,
"amount" : 0 ,
"currency" : "string" ,
"completedTime" : "2026-01-15T09:30:00Z" ,
"beneficiaryAccountNumber" : "string" ,
"beneficiaryName" : "string" ,
"beneficiaryBankName" : "string" ,
"beneficiaryBankSwiftCode" : "string" ,
"payerName" : "string" ,
"payerAccountNumber" : "string" ,
"payerBankName" : "string" ,
"payerBankSwiftCode" : "string" ,
"payerAddress" : "string" ,
"remark" : "string" ,
"valueDate" : "2026-01-15"
}
],
"currentPage" : 0 ,
"totalPages" : 0 ,
"totalRecords" : 0 ,
"hasMore" : true ,
"netMovementAmount" : 0 ,
"balanceReconciled" : true
},
"error" : {
"code" : "string" ,
"message" : "string"
}
}
404 No such virtual account for this merchant
Copy {
"success" : true ,
"data" : {
"accountNumber" : "string" ,
"businessDate" : "2026-01-15" ,
"currency" : "string" ,
"openingBalanceDate" : "2026-01-15T09:30:00Z" ,
"closingBalanceDate" : "2026-01-15T09:30:00Z" ,
"openingBalanceAmount" : 0 ,
"closingBalanceAmount" : 0 ,
"details" : [
{
"systemReference" : "string" ,
"originalSystemReference" : "string" ,
"direction" : "DEBIT" ,
"transactionType" : "string" ,
"amount" : 0 ,
"currency" : "string" ,
"completedTime" : "2026-01-15T09:30:00Z" ,
"beneficiaryAccountNumber" : "string" ,
"beneficiaryName" : "string" ,
"beneficiaryBankName" : "string" ,
"beneficiaryBankSwiftCode" : "string" ,
"payerName" : "string" ,
"payerAccountNumber" : "string" ,
"payerBankName" : "string" ,
"payerBankSwiftCode" : "string" ,
"payerAddress" : "string" ,
"remark" : "string" ,
"valueDate" : "2026-01-15"
}
],
"currentPage" : 0 ,
"totalPages" : 0 ,
"totalRecords" : 0 ,
"hasMore" : true ,
"netMovementAmount" : 0 ,
"balanceReconciled" : true
},
"error" : {
"code" : "string" ,
"message" : "string"
}
}